# Celtic Green

**Entity Type:** Good

## Properties

| Field | Value |
|-------|-------|
| Category | Intermediate Product |
| Purchase Price | 72 Denarii |
| Selling Price | 28 Denarii |
| Available From | Elders |

## Production

**Produced By:**
- Green Hands (Albion)

## Usage

**Required By:**
- Birrus Tailor (Albion)

## Notes

Celtic green is a distinctive dye made from dye plants and copper ore. It is used to dye birrus cloaks.
